> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skyfire.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Services by Tags

Get services matching the given tags.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "skyfire-service-directory-apis",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.skyfire.xyz"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/api/v1/directory/services/search?commaDelimitedTags={commaDelimitedTags}": {
      "get": {
        "summary": "Get Services by Tags",
        "description": "Get services matching the given tags.",
        "operationId": "get-services-by-tags",
        "parameters": [
          {
            "name": "commaDelimitedTags",
            "in": "query",
            "description": "Comma delimited list of tags.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"data\": [\n    {\n      \"id\": \"cbf697f2-a52b-4b7b-a90b-f99ea3fcdba4\",\n      \"name\": \"QBio.ai - Boltz Protein Folding\",\n      \"description\": \"Predicts complex structures from amino acid, DNA, or RNA sequences, as well as small molecules from SMILES strings or CCD (Chemical Component Dictionary) format.\",\n      \"tags\": [\n        \"seller\"\n      ],\n      \"type\": \"API\",\n      \"price\": \"0.000001\",\n      \"priceModel\": \"PAY_PER_USE\",\n      \"minimumTokenAmount\": \"0.000001\",\n      \"humanIdentityRequirement\": {\n        \"identityLevels\": [\n          \"INDIVIDUAL_LEVEL2\",\n          \"BUSINESS_LEVEL1\"\n        ],\n        \"organization\": [\n          \"organization_name\",\n          \"organization_tax_id\",\n          \"organization_physical_address-full\",\n          \"organization_physical_address-city\",\n          \"organization_physical_address-region\",\n          \"organization_physical_address-country\",\n          \"no-organization_physical_address\",\n          \"organization_registered_address-full\",\n          \"organization_registered_address-city\",\n          \"organization_registered_address-region\",\n          \"organization_registered_address-country\",\n          \"no-organization_registered_address\",\n          \"birthdate\",\n          \"given_name\",\n          \"middle_name\",\n          \"family_name\",\n          \"phone_number\",\n          \"phone_country_code\"\n        ],\n        \"individual\": [\n          \"birthdate\",\n          \"given_name\",\n          \"middle_name\",\n          \"family_name\",\n          \"phone_number\",\n          \"phone_country_code\"\n          \"id_document.type\",\n          \"id_document.issued_on\",\n          \"id_document.expires_on\",\n          \"id_document.issued_by\",\n          \"address-full\",\n          \"address-city\",\n          \"address-region\",\n          \"address-country\",\n          \"no-address\"\n        ]\n      },\n      \"seller\": {\n        \"id\": \"6febdef8-624b-410d-a75d-bfb6389644b6\",\n        \"name\": \"QBIOai\"\n      },\n      \"openApiSpecUrl\": \"https://api.staging-europe-eemshaven-a.qbio.ai/v1/agent/submit\",\n      \"acceptedTokens\": [\n        \"kya\",\n        \"pay\",\n        \"kya-pay\"\n      ],\n      \"createdAt\": \"2025-07-07T12:39:56.763Z\",\n      \"updatedAt\": \"2025-07-09T14:23:38.822Z\"\n    },\n    {\n      \"id\": \"dca9a023-e436-4a6d-ac0f-fce00b5a04f0\",\n      \"name\": \"test\",\n      \"description\": \"test1\",\n      \"tags\": [\n        \"service\"\n      ],\n      \"type\": \"MCP_SERVER_REMOTE\",\n      \"price\": \"0.001\",\n      \"priceModel\": \"PAY_PER_USE\",\n      \"minimumTokenAmount\": \"0.000001\",\n      \"humanIdentityRequirement\": {\n        \"identityLevels\": [],\n        \"organization\": [],\n        \"individual\": []\n      },\n      \"seller\": {\n        \"id\": \"fc7b8eb0-7b43-442c-92d6-17f0a4d8dc30\",\n        \"name\": \"carbonarc1\"\n      },\n      \"mcpServerUrl\": \"https://skyfire-solutions-demo-carbonarc-seller-mcp-server.skyfire.dev/sse\",\n      \"acceptedTokens\": [\n        \"kya\",\n        \"pay\",\n        \"kya-pay\"\n      ],\n      \"createdAt\": \"2025-06-26T20:35:29.617Z\",\n      \"updatedAt\": \"2025-06-27T15:03:49.128Z\"\n    },\n    {\n      \"id\": \"5e7f3359-9ec1-4078-bf45-401d079af1be\",\n      \"name\": \"test service\",\n      \"description\": \"test\",\n      \"tags\": [\n        \"service\"\n      ],\n      \"type\": \"MCP_SERVER_REMOTE\",\n      \"price\": \"0.001\",\n      \"priceModel\": \"PAY_PER_USE\",\n      \"minimumTokenAmount\": \"0.000001\",\n      \"humanIdentityRequirement\": {\n        \"identityLevels\": [],\n        \"organization\": [],\n        \"individual\": []\n      },\n      \"seller\": {\n        \"id\": \"ab73a4e6-11c2-40d7-a07f-c61e95ffed2c\",\n        \"name\": \"test service\",\n        \"identityLevel\": \"INDIVIDUAL_LEVEL1\"\n      },\n      \"mcpServerUrl\": \"https://test.com\",\n      \"acceptedTokens\": [\n        \"kya\",\n        \"pay\",\n        \"kya-pay\"\n      ],\n      \"createdAt\": \"2025-06-27T15:15:22.118Z\",\n      \"updatedAt\": \"2025-06-27T15:16:09.978Z\"\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "cbf697f2-a52b-4b7b-a90b-f99ea3fcdba4"
                          },
                          "name": {
                            "type": "string",
                            "example": "QBio.ai - Boltz Protein Folding"
                          },
                          "description": {
                            "type": "string",
                            "example": "Predicts complex structures from amino acid, DNA, or RNA sequences, as well as small molecules from SMILES strings or CCD (Chemical Component Dictionary) format."
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "seller"
                            }
                          },
                          "type": {
                            "type": "string",
                            "example": "API"
                          },
                          "price": {
                            "type": "string",
                            "example": "0.000001"
                          },
                          "priceModel": {
                            "type": "string",
                            "example": "PAY_PER_USE"
                          },
                          "minimumTokenAmount": {
                            "type": "string",
                            "example": "0.000001"
                          },
                          "humanIdentityRequirement": {
                            "type": "object",
                            "properties": {
                              "identityLevels": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "INDIVIDUAL_LEVEL2"
                                }
                              },
                              "organization": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "nameFirst"
                                }
                              },
                              "individual": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "nameFirst"
                                }
                              }
                            }
                          },
                          "seller": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "example": "6febdef8-624b-410d-a75d-bfb6389644b6"
                              },
                              "name": {
                                "type": "string",
                                "example": "QBIOai"
                              }
                            }
                          },
                          "createdAt": {
                            "type": "string",
                            "example": "2025-07-07T12:39:56.763Z"
                          },
                          "updatedAt": {
                            "type": "string",
                            "example": "2025-07-09T14:23:38.822Z"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "422",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": \"VALIDATION_ERROR\",\n    \"message\": \"Validation Error\",\n    \"details\": {\n        \"commaDelimitedTags\": {\n            \"message\": \"'commaDelimitedTags' is required\"\n        }\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "example": "VALIDATION_ERROR"
                    },
                    "message": {
                      "type": "string",
                      "example": "Validation Error"
                    },
                    "details": {
                      "type": "object",
                      "properties": {
                        "commaDelimitedTags": {
                          "type": "object",
                          "properties": {
                            "message": {
                              "type": "string",
                              "example": "'commaDelimitedTags' is required"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location 'https://api.skyfire.xyz/api/v1/directory/services/search?commaDelimitedTags=seller%2Cservice' \\\n--header 'Content-Type: application/json'"
            },
            {
              "language": "node",
              "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'api.skyfire.xyz',\n  'path': '/api/v1/directory/services/search?commaDelimitedTags=seller,service',\n  'headers': {\n    'Content-Type': 'application/json'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();"
            },
            {
              "language": "python",
              "code": "import http.client\nimport json\n\nconn = http.client.HTTPSConnection(\"api.skyfire.xyz\")\npayload = ''\nheaders = {\n  'Content-Type': 'application/json'\n}\nconn.request(\"GET\", \"/api/v1/directory/services/search?commaDelimitedTags=seller,service\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))"
            }
          ],
          "samples-languages": [
            "curl",
            "node",
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```